> For the complete documentation index, see [llms.txt](https://docs.fusion.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fusion.vectra.ai/cloud-onboarding/azure-cloud-onboarding/quickstart-azure/create-a-storage-account.md).

# Create a storage account

Access [Azure Cloud Shell](https://portal.azure.com/#cloudshell/) to run CLI commands from your web browser using az.

### Create a **Storage account** in the same region as your **Virtual Network**. <a href="#create-a-storage-account-in-the-same-region-as-your-virtual-network" id="create-a-storage-account-in-the-same-region-as-your-virtual-network"></a>

1. List your **Virtual Networks**, their **Resource groups**, and **Regions**.

{% tabs %}
{% tab title="Command" %}

```shell
az network vnet list --query "[].{Name:name, Region:location, ResourceGroup:resourceGroup, AddressSpace:addressSpace.addressPrefixes[0], ProvisioningState:provisioningState, SubscriptionId:id}" --output table
```

{% endtab %}
{% endtabs %}

2. Set some environment variables for the **Resource Group**, **Region** and **Virtual Network** you want to send flow from to make cutting and pasting the commands from the instructions in this document a little easier.

```
REGION=     # Region of your Virtual Network, example: REGION=eastus
VNET=       # The Virtual Network name, example: VNET=ProductionA1
RGRP=       # The Resource Group of your Virtual Network, example: RGRP=PROD
```

3\. Create a **Storage account** in the same **Region** as your **Virtual Network** you want to add to Netography Fusion.

{% tabs %}
{% tab title="Command" %}

```shell
az storage account create \
    --name <storage-account-name> \
    --resource-group $RGRP \
    --location $REGION> \
    --sku Standard_LRS \
    --kind StorageV2 \
    --allow-shared-key-access true
```

{% endtab %}
{% endtabs %}

|                         |                                                                                   |
| ----------------------- | --------------------------------------------------------------------------------- |
| Name                    | Choose any name for your storage account                                          |
| Resource group          | Your Virtual Network Resource Group                                               |
| Location                | Your Virtual Network Region                                                       |
| Sku                     | Redundancy is set to locally redundant storage, Standard\_LRS                     |
| Kind                    | Standard general purpose, StorageV2                                               |
| Allow-shared-key-access | Create an access key that allows Netography Fusion to create your flow logs, True |

4. View your newly created Storage account.

```
az storage account list --query "[].{Name:name, ResourceGroup:resourceGroup}" --output table
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusion.vectra.ai/cloud-onboarding/azure-cloud-onboarding/quickstart-azure/create-a-storage-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
